Name:           maven-compiler-plugin
Version:        3.1
Release:        %mkrel 3
Summary:        Maven Compiler Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-compiler-plugin
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  maven-local
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-shared-incremental
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-plugin-testing-harness
BuildRequires:  maven-toolchain
BuildRequires:  plexus-compiler >= 2.0

Provides:       maven2-plugin-compiler = %{version}-%{release}
Obsoletes:      maven2-plugin-compiler <= 0:2.0.8

%description
The Compiler Plugin is used to compile the sources of your project.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

%build
%mvn_build -f 

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.1-3.mga4
+ Revision: 529511
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dmorgan <dmorgan> 3.1-2.mga4
+ Revision: 452200
- Build against proper maven-shared-incremental artifactId

* Tue Jul 09 2013 dmorgan <dmorgan> 3.1-1.mga4
+ Revision: 452192
- New version 3.1

* Tue Jul 09 2013 dmorgan <dmorgan> 3.0-2.mga4
+ Revision: 452105
- Build against proper plexus-compiler

* Tue Jul 09 2013 dmorgan <dmorgan> 3.0-1.mga4
+ Revision: 452082
- Bootstrap build of maven-compiler-plugin

* Sat Jan 12 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 359588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.5.1-1.mga3
+ Revision: 292280
- New version

* Mon Jul 09 2012 dmorgan <dmorgan> 2.3.2-6.mga3
+ Revision: 269001
- Rebuild against new maven

* Sat Jul 23 2011 dmorgan <dmorgan> 2.3.2-5.mga2
+ Revision: 128003
- Add few missing (Build)requires
- Remove post(un) scriptlets with update_maven_depmap
- Use new add_maven_depmap macro

* Wed Jul 20 2011 dmorgan <dmorgan> 2.3.2-4.mga2
+ Revision: 127177
- Do not require maven2.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.2-3.mga1
+ Revision: 92693
- Rebuild after bootstrapping
- imported package maven-compiler-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.3.2-1
- Update to latest version (2.3.2)
- Modifications according to new guidelines
- Build with maven 3

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-2
- Add missing requires.

* Tue May 11 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.2-1
- Initial package.
